summaryrefslogtreecommitdiffstats
path: root/src
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2012-04-29 22:16:59 (EDT)
committer P. J. McDermott <pjm@nac.net>2012-04-29 22:16:59 (EDT)
commitd28640d44bd6bdcdf3df36e57e9845233dbb879d (patch)
tree119d0638db4143660055e4b75bac103e7f17af72 /src
parent9ea6d8fb188c6d001c50d3de449d09351afd54ca (diff)
Set hostname.
Diffstat (limited to 'src')
-rw-r--r--src/etc/hostname1
-rw-r--r--src/etc/init.d/hostname13
2 files changed, 14 insertions, 0 deletions
diff --git a/src/etc/hostname b/src/etc/hostname
new file mode 100644
index 0000000..ea4c381
--- /dev/null
+++ b/src/etc/hostname
@@ -0,0 +1 @@
+rcstereo
diff --git a/src/etc/init.d/hostname b/src/etc/init.d/hostname
new file mode 100644
index 0000000..aec1102
--- /dev/null
+++ b/src/etc/init.d/hostname
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+case "${1}" in
+ start)
+ printf 'Setting hostname... '
+ [ -f /etc/hostname ] && hostname -F /etc/hostname || hostname none
+ printf 'done.\n'
+ ;;
+ *)
+ printf 'Usage: %s start\n' "${0}" >&2
+ exit 1
+ ;;
+esac